For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign inTry it free
DocsGuidesSDKsIntegrationsAPI docsTutorialsFlagship blog
DocsGuidesSDKsIntegrationsAPI docsTutorialsFlagship blog
  • REST API overview
    • Access Tokens
    • Account Members
    • Account Usage Beta
    • AI Configs
    • Announcements
    • Applications Beta
    • Approvals
    • Approvals Beta
    • Audit Log
      • GETGet audit log entry
      • POSTGet audit log entry counts
      • GETList audit log entries
      • POSTSearch audit log entries
    • Code References
    • Contexts
    • Context Settings
    • Custom Roles
    • Data Export Destinations
    • Environments
    • Experiments
    • Feature Flags
    • Feature Flags Beta
    • Flag Import Configurations Beta
    • Flag Links Beta
    • Flag Triggers
    • Follow Flags
    • Holdouts Beta
    • Insights Charts Beta
    • Insights Deployments Beta
    • Insights Flag Events Beta
    • Insights Pull Requests Beta
    • Insights Repositories Beta
    • Insights Scores Beta
    • Integration Audit Log Subscriptions
    • Integration Delivery Configurations Beta
    • Integrations Beta
    • Layers
    • Metrics
    • Metrics Beta
    • OAuth2 Clients
    • Persistent Store Integrations Beta
    • Projects
    • Relay Proxy Configurations
    • Release Pipelines Beta
    • Releases Beta
    • Scheduled Changes
    • Segments
    • Tags
    • Teams
    • Teams Beta
    • Users
    • Users Beta
    • User Settings
    • Views Beta
    • Webhooks
    • Workflows
    • Workflow Templates
    • Other
Sign inTry it free
LogoLogo
REST API overviewAudit Log

Get audit log entry

GET
/api/v2/auditlog/:id
GET
/api/v2/auditlog/:id
$curl https://app.launchdarkly.com/api/v2/auditlog/id \
> -H "Authorization: <apiKey>"
1{
2 "_links": {},
3 "_id": "1234a56b7c89d012345e678f",
4 "_accountId": "1234a56b7c89d012345e678f",
5 "date": 1654104600000,
6 "accesses": [
7 {
8 "action": "string",
9 "resource": "string"
10 }
11 ],
12 "kind": "flag",
13 "name": "Example feature flag",
14 "description": "Example, turning on the flag for testing",
15 "shortDescription": "Example, turning on the flag",
16 "comment": "This is an automated test",
17 "subject": {
18 "_links": {},
19 "name": "string",
20 "avatarUrl": "string"
21 },
22 "member": {
23 "_links": {},
24 "_id": "507f1f77bcf86cd799439011",
25 "email": "ariel@acme.com",
26 "firstName": "Ariel",
27 "lastName": "Flores"
28 },
29 "token": {
30 "_links": {},
31 "_id": "string",
32 "name": "DevOps token",
33 "ending": "2345",
34 "serviceToken": false
35 },
36 "app": {
37 "_links": {},
38 "_id": "string",
39 "isScim": true,
40 "name": "string",
41 "maintainerName": "string"
42 },
43 "titleVerb": "turned on the flag",
44 "title": "string",
45 "target": {},
46 "parent": {
47 "_links": {},
48 "name": "string",
49 "resource": "string"
50 },
51 "delta": null,
52 "triggerBody": null,
53 "merge": null,
54 "previousVersion": null,
55 "currentVersion": null,
56 "subentries": [
57 {
58 "_links": {},
59 "_id": "1234a56b7c89d012345e678f",
60 "_accountId": "1234a56b7c89d012345e678f",
61 "date": 1654104600000,
62 "accesses": [
63 {
64 "action": "string",
65 "resource": "string"
66 }
67 ],
68 "kind": "flag",
69 "name": "Example feature flag",
70 "description": "Example, turning on the flag for testing",
71 "shortDescription": "Example, turning on the flag",
72 "comment": "This is an automated test",
73 "subject": {
74 "_links": {},
75 "name": "string",
76 "avatarUrl": "string"
77 },
78 "member": {
79 "_links": {},
80 "_id": "507f1f77bcf86cd799439011",
81 "email": "ariel@acme.com",
82 "firstName": "Ariel",
83 "lastName": "Flores"
84 },
85 "token": {
86 "_links": {},
87 "_id": "string",
88 "name": "DevOps token",
89 "ending": "2345",
90 "serviceToken": false
91 },
92 "app": {
93 "_links": {},
94 "_id": "string",
95 "isScim": true,
96 "name": "string",
97 "maintainerName": "string"
98 },
99 "titleVerb": "turned on the flag",
100 "title": "string",
101 "target": {},
102 "parent": {
103 "_links": {},
104 "name": "string",
105 "resource": "string"
106 }
107 }
108 ]
109}
Fetch a detailed audit log entry representation. The detailed representation includes several fields that are not present in the summary representation, including: - `previousVersion`: a JSON representation of the previous version of the entity. - `currentVersion`: a JSON representation of the current version of the entity. - `delta`: the JSON patch body that was used in the request to update the entity. This is only included if the update was made through a [JSON patch](https://launchdarkly.com/docs/api#updates-using-json-patch). It is null when the update was made using [semantic patch](https://launchdarkly.com/docs/api#updates-using-semantic-patch). Because most [flag updates](https://launchdarkly.com/docs/api/feature-flags/patch-feature-flag) are made using semantic patch, this field is rarely returned.
Was this page helpful?
Previous

Get audit log entry counts

Next
Built with

Fetch a detailed audit log entry representation. The detailed representation includes several fields that are not present in the summary representation, including:

  • previousVersion: a JSON representation of the previous version of the entity.
  • currentVersion: a JSON representation of the current version of the entity.
  • delta: the JSON patch body that was used in the request to update the entity. This is only included if the update was made through a JSON patch. It is null when the update was made using semantic patch. Because most flag updates are made using semantic patch, this field is rarely returned.

Authentication

Authorizationstring
API Key authentication via header

Path parameters

idstringRequiredformat: "string"
The ID of the audit log entry

Response

Audit log entry response
_linksmap from strings to objects
The location and content type of related resources
_idstring
The ID of the audit log entry
_accountIdstring
The ID of the account to which this audit log entry belongs
datelong
Timestamp of the audit log entry
accesseslist of objects
Details on the actions performed and resources acted on in this audit log entry
kindstring
The type of resource this audit log entry refers to
namestring
The name of the resource this audit log entry refers to
descriptionstring
Description of the change recorded in the audit log entry
shortDescriptionstring
Shorter version of the change recorded in the audit log entry
commentstring
Optional comment for the audit log entry
subjectobject
Details of the subject who initiated the action described in the audit log entry
memberobject
Details of the member who initiated the action described in the audit log entry
tokenobject
Details of the access token that initiated the action described in the audit log entry
appobject
Details of the authorized application that initiated the action described in the audit log entry
titleVerbstring
The action and resource recorded in this audit log entry
titlestring

A description of what occurred, in the format member titleVerb target

targetobject
Details of the resource acted upon in this audit log entry
parentobject
deltaany
If the audit log entry has been updated, this is the JSON patch body that was used in the request to update the entity
triggerBodyany
A JSON representation of the external trigger for this audit log entry, if any
mergeany
A JSON representation of the merge information for this audit log entry, if any
previousVersionany
If the audit log entry has been updated, this is a JSON representation of the previous version of the entity
currentVersionany
If the audit log entry has been updated, this is a JSON representation of the current version of the entity
subentrieslist of objects

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error